# Change a Token Status
source: https://developer.mastercard.com/mastercard-processing-digital/documentation/sandbox-testing/change-token-status/index.md

## Test case -- Success -- Change the status of single token {#test-case--success--change-the-status-of-single-token}

This test case describes changing the status of a specified token stored in the CMS.

**Sample request**

`PUT /cards/70001/tokens`

```JSON
{
  "tokenNumber": "5598765432109876",
  "tokenStatus": "RESUME"
}
```

**Sample response**

`204`

## Test case -- Success -- Change the status of all Tokens linked to a specified Card Contract {#test-case--success--change-the-status-of-all-tokens-linked-to-a-specified-card-contract}

This test case describes changing the status of a specified token stored in the CMS.

**Sample request**

`PUT /cards/70001/tokens`

```JSON
{
  "tokenStatus": "RESUME"
}
```

**Sample response**

`204`

## Test case -- Fail -- Token not found or deactivated {#test-case--fail--token-not-found-or-deactivated}

This test case describes an attempt to change the status of a specified token stored in the CMS that does not exist or has a deactivated status.

For this test case, use the following information in the request:

|   Path parameter   | Available value |
|--------------------|-----------------|
| `card_contract_id` | 90001           |

**Sample request**

`PUT /cards/90001/tokens`

```JSON
{
  "tokenNumber": "5598765432109876",
  "tokenStatus": "RESUME"
}
```

**Sample response**

`404`

```JSON
{
    "Errors": {
        "Error": [
            {
                "Source": "MASTERCARD PROCESSING",
                "ReasonCode": "INVALID_TOKEN",
                "Description": "Token not found or is deactivated in the CMS.",
                "Recoverable": false
            }
        ]
    }
}
```

